"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripletexContact = void 0;
const utils_1 = require("../../utils");
const base_1 = require("../base");
const contact_1 = require("./models/contact");
class TripletexContact extends base_1.TripletexBase {
    list(input) {
        const call = this.authenticatedCall() //
            .args()
            .path('/v2/contact')
            .query(args => (args.input ? (0, utils_1.serializeQuery)(args.input) : {}))
            .method('get')
            .parseJson((0, utils_1.withRuntype)(contact_1.listContactsResponseRt))
            .build();
        return this.performRequest(sessionToken => call({ input, sessionToken }));
    }
}
exports.TripletexContact = TripletexContact;
