"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.listContactsResponseRt = void 0;
const rt = __importStar(require("runtypes"));
const utils_1 = require("../../../utils");
const contactRt = rt.Record({
    id: rt.Number,
    version: rt.Number.nullable().optional(),
    url: rt.String,
    firstName: rt.String,
    lastName: rt.String,
    displayName: rt.String.nullable().optional(),
    email: rt.String.nullable().optional(),
    phoneNumberMobileCountry: rt
        .Record({
        id: rt.Number,
    })
        .nullable()
        .optional(),
    phoneNumberMobile: rt.String.nullable().optional(),
    phoneNumberWork: rt.String.nullable().optional(),
    customer: rt.Record({
        id: rt.Number,
        url: rt.String,
    }).nullable(),
    department: rt.Record({
        id: rt.Number,
        url: rt.String,
    }).nullable(),
    isInactive: rt.Boolean.nullable().optional(),
});
exports.listContactsResponseRt = (0, utils_1.multipleValuesEnvelope)(contactRt);
